Export the casting of a project to CSV

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /export/csv/projects/{project_id}/casting.csv

Get a CSV file with the casting of a project. Each row gives an entity, an asset of its casting, the number of occurrences and the label. Vendors cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Query parameters

  • episode_id string(uuid)

    Get only the casting of this episode. Give main to get the casting of the assets that are in no episode. Give all to get the casting of the episodes.

  • is_shot_casting boolean

    Get the casting of the shots. Else, get the casting of the assets.

    Default value is false.

Responses

  • 200 text/csv

    The CSV file

  • 403

    You do not have access to this project, or you are a vendor

  • 404

    The project does not exist

GET /export/csv/projects/{project_id}/casting.csv
curl -X GET "http://api.example.com/export/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting.csv?episode_id=b24a6ea4-ce75-4665-a070-57453082c25&is_shot_casting=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/export/csv/projects/a24a6ea4-ce75-4665-a070-57453082c25/casting.csv"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "episode_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "is_shot_casting": false
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
Parent,Name,Asset Type,Asset,Occurences,Label Sequence1,SH010,Character,Asset1,1,fixed